Get processing documents
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.supermemory.ai/v3/documents/processing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/documents/processing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.supermemory.ai/v3/documents/processing \
--header 'Authorization: Bearer <token>'{
"documents": [
{
"id": "doc_123",
"title": "My Document",
"type": "text",
"status": "extracting",
"createdAt": "2024-12-27T12:00:00Z",
"updatedAt": "2024-12-27T12:01:00Z"
}
],
"totalCount": 5
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Get processing documents
Get documents that are currently being processed
GET
/
v3
/
documents
/
processing
Get processing documents
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.supermemory.ai/v3/documents/processing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/documents/processing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.supermemory.ai/v3/documents/processing \
--header 'Authorization: Bearer <token>'{
"documents": [
{
"id": "doc_123",
"title": "My Document",
"type": "text",
"status": "extracting",
"createdAt": "2024-12-27T12:00:00Z",
"updatedAt": "2024-12-27T12:01:00Z"
}
],
"totalCount": 5
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?